/**
 * Copyright (c) 2008-2012 EBM WebSourcing, 2012-2013 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.registry.core.repository;

import org.ow2.petals.registry.api.context.Context;
import org.ow2.petals.registry.api.exception.LifeCycleException;
import org.ow2.petals.registry.api.lifecycle.AbstractLifeCycle;
import org.ow2.petals.registry.api.repository.Repository;

/**
 * The repository lifecycle.
 * @author Christophe HAMERLING - EBM WebSourcing
 */
public class RepositoryLifecycle extends AbstractLifeCycle {

    protected Repository repository;

    /**
     * Creates a new instance of RepositoryLifecycle
     * 
     * @param repository
     */
    public RepositoryLifecycle(Repository repository) {
        super();
        this.repository = repository;
    }

    /*
     * (non-Javadoc)
     * 
     * @see org.ow2.petals.registry.core.AbstractLifeCycle#doInit()
     */
    @Override
    protected void doInit(Context context) throws LifeCycleException {
        if (context.getWorkspace() == null) {
            throw new LifeCycleException("IMPOSSIBLE D'ETRE ICI !!!!!!!!");
        }
        // Initialize the files cache, get all the files from the root path
    }
}
